Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io
Class TermReader

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              gnu.prolog.io.TermReader

All Implemented Interfaces:
  Closeable, Readable

    public class TermReader

extends FilterReader

Reads `Terms` from strings and `Readers`.

Field Summary
`protected static OperatorSet` | `defaultOperatorSet`

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`TermReader(Reader r, Environment environment)`
`TermReader(Reader r, int line, int col, Environment environment)`

Method Summary
`int` | `getCurrentColumn()`
`int` | `getCurrentLine()`
`Term` | `readTerm()`
`Term` | `readTerm(OperatorSet set)`
`Term` | `readTerm(ReadOptions options)`
`Term` | `readTermEof()`
`Term` | `readTermEof(OperatorSet set)`
`Term` | `readTermEof(ReadOptions options)`
`static Term` | `stringToTerm(ReadOptions options, String str, Environment environment)`
`static Term` | `stringToTerm(String str, Environment environment)`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultOperatorSet

    protected static final OperatorSet defaultOperatorSet

Constructor Detail

### TermReader

    public TermReader(Reader r,
                      int line,
                      int col,
                      Environment environment)

### TermReader

    public TermReader(Reader r,
                      Environment environment)

Method Detail

### readTerm

    public Term readTerm(ReadOptions options)
                  throws ParseException

  Throws:
    `ParseException`

### stringToTerm

    public static Term stringToTerm(ReadOptions options,
                                    String str,
                                    Environment environment)
                             throws ParseException

  Throws:
    `ParseException`

### stringToTerm

    public static Term stringToTerm(String str,
                                    Environment environment)
                             throws ParseException

  Throws:
    `ParseException`

### readTermEof

    public Term readTermEof(ReadOptions options)
                     throws ParseException

  Throws:
    `ParseException`

### readTerm

    public Term readTerm(OperatorSet set)
                  throws ParseException

  Throws:
    `ParseException`

### readTermEof

    public Term readTermEof(OperatorSet set)
                     throws ParseException

  Throws:
    `ParseException`

### readTerm

    public Term readTerm()
                  throws ParseException

  Throws:
    `ParseException`

### readTermEof

    public Term readTermEof()
                     throws ParseException

  Throws:
    `ParseException`

### getCurrentLine

    public int getCurrentLine()

### getCurrentColumn

    public int getCurrentColumn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD